U++ - Bug #1886
Opening recursive call stack after crash (recursion limit) leads to IDE not response problem
06/27/2018 10:44 PM - Zbigniew Rebacz

Status: Approved Start date: 06/27/2018
Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: IDE Estimated time: 0.00 hour
Target version: Release 2019.1 - NTH Spent time: 0.00 hour
Description

Tested with GDB.

History

#1 - 06/28/2018 10:10 PM - Zbigniew Rebacz
- Status changed from New to Patch ready

The following fix should solve the problem (ide/Debuggers/Gdb.cpp):

void Gdb::DropFrames()
{

const int max_stack_trace_size = 200;

inti=0;
int g = ~frame;
frame.Clear();
while(i < max_stack_trace_size) {
String s = FormatFrame(FastCmd(Sprintf("frame %d", i)));
if(IsNull(s)) {
break;

}

frame.Add(i++, s);

}

frame <<= q;

Test case:

#include <Core/Core.h>

using namespace Upp;

void fun(int i) {

fun(--i);

CONSOLE_APP_MAIN

{
fun(1);
#2 - 06/29/2018 10:20 PM - Zbigniew Rebacz
- Status changed from Patch ready to Ready for QA

#3 - 06/29/2018 10:21 PM - Zbigniew Rebacz

Please review following code: https:/github.com/ultimatepp/mirror/commit/49b14b2cf56e8b29811b9ec768521f84117531af

#4 - 09/21/2018 09:46 AM - Miroslav Fidler
- Status changed from Ready for QA to Approved
